## battery-stats 0.3.3

=== Makefile ===
#!/usr/bin/make -f
#
# This file is part of the battery-stats package.
# Copyright (C) 2002 Karl E. Jrgensen <karl@jorgensen.com> 
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

SHELL = /bin/sh

INSTALL = install
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) --mode 644

prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
sbindir = $(exec_prefix)/sbin
libdir = $(exec_prefix)/lib
logdir = /var/log
sysconfdir = $(prefix)/etc
mandir = $(prefix)/share/man
man1dir = $(mandir)/man1
man5dir = $(mandir)/man5
man8dir = $(mandir)/man8

# Defaults for CFLAGS and LDFLAGS. These are handy for development
# Callers are welcome to override it
CFLAGS = -g3
LDFLAGS = -g3

# Allow the caller to play with variables as they wish
ALL_CFLAGS = $(CFLAGS)
ALL_LDLIBS = -lapm $(LDLIBS)

.PHONY : all
all : battery-stats-collector

battery-stats-collector : battery-stats-collector.o

battery-stats-collector.o : battery-stats-collector.c

.PHONY : clean
clean : 
	rm -f battery-stats-collector.o
	rm -f battery-stats-collector

.PHONY : distclean
distclean : clean

.PHONY : mostlyclean
mostlyclean : clean

.PHONY : maintainer-clean
maintainer-clean : clean

.PHONY : install
install : all installdirs
	$(INSTALL_PROGRAM) battery-stats-collector $(DESTDIR)$(sbindir)/battery-stats-collector
	$(INSTALL_DATA) battery-stats-collector.8 $(DESTDIR)$(man8dir)/battery-stats-collector.8
	$(INSTALL_PROGRAM) battery-graph $(DESTDIR)$(bindir)/battery-graph
	$(INSTALL_DATA) battery-graph.1 $(DESTDIR)$(man1dir)/battery-graph.1
	$(INSTALL_PROGRAM) battery-log $(DESTDIR)$(bindir)/battery-log
	$(INSTALL_DATA) battery-log.1 $(DESTDIR)$(man1dir)/battery-log.1
	$(INSTALL_DATA) battery-stats.5 $(DESTDIR)$(man5dir)/battery-stats.5
	$(INSTALL_DATA) graph-setup $(DESTDIR)$(libdir)/battery-stats/graph-setup
	$(INSTALL_DATA) default.config $(DESTDIR)$(sysconfdir)/battery-stats.conf

.PHONY : install-strip
install-strip :
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

# Should only be used internally
.PHONY : installdirs
installdirs : mkinstalldirs
	./mkinstalldirs $(DESTDIR)$(sbindir) $(DESTDIR)$(bindir)
	./mkinstalldirs $(DESTDIR)$(logdir)
	./mkinstalldirs $(DESTDIR)$(libdir)/battery-stats
	./mkinstalldirs $(DESTDIR)$(man1dir)
	./mkinstalldirs $(DESTDIR)$(man5dir)
	./mkinstalldirs $(DESTDIR)$(man8dir)
	./mkinstalldirs $(DESTDIR)$(sysconfdir)

.PHONY : uninstall
uninstall :
	rm -f $(DESTDIR)$(sbindir)/battery-stats-collector

%.o : %.c
	$(CC) -c $(CPPFLAGS) $(ALL_CFLAGS) $<
    
%: %.o
	$(LINK.o) $^ $(LOADLIBES) $(ALL_LDLIBS) -o $@

## battery-stats 0.5.5

=== debian/changelog ===
battery-stats (0.5.5-1~bpo8+1) jessie-backports; urgency=medium

  * Backport Debian Unstable version to Debian Stable.
  * Updated debian/gbp.conf to mention correct branch for jessie backport.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 11 Jul 2016 10:16:04 +0200

battery-stats (0.5.5-1) unstable; urgency=medium

  * New upstream version 0.5.5.
    - Avoid error from battery-graph when there is no data yet
      (Closes: #825158).
    - Make collector more robust and avoid blocking hibernation
      when there is no battery available (Closes: #825694).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 14 Jun 2016 14:17:05 +0200

battery-stats (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4.
    - Dropped fix-desktop-entry.patch, a fix for the same issue is fixed
      upstream.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 22 May 2016 17:41:45 +0200

battery-stats (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3.
    - Now handle hardware with ACAD power source (Closes: #822238).
    - No longer install non-working battery-stats-graph-gnuplot
      (Closes: #819683).
  * Updated Standards-Version from 3.9.7 to 3.9.8.
  * Remove Antonio Radici as uploader.  Thank you for maintaining the
    package for so long.
  * Added new fix-desktop-entry.patch to fix graph drawing when selected
    from desktop menu.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 22 May 2016 11:19:27 +0200

battery-stats (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2.
    - battery-stats-collector now work with batteries with change_*
      instead of energy_* values (Closes: #819492)
  * Added missing python-matplotlib and libtext-csv-perl
    dependencies (Closes: #819265).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 29 Mar 2016 20:52:10 +0200

battery-stats (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1.
    - Dropped 01-typo-desktop.patch and 02-reduce-collection-freq.patch
      applied upstream.
    - Now collects data on power status changes (Closes: #819015)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 23 Mar 2016 09:17:52 +0100

battery-stats (0.5.0-2) unstable; urgency=medium

  * Added cron job to call collect-csv every 10 minutes, as the pm
    power.d hook to call collect-csv when AC power is inserted and
    removed is not working (see bug #818649).
  * Reduce the collection frequence for battery-stats-collector to every
    10 minutes.
  * Change binary architecture list to linux-any from now obsolete sparc,
    ia64, amd64 and i386.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Mar 2016 14:12:10 +0100

battery-stats (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0.
    - Will log to a new CSV file as well as the original file.
    - Provide new python based graphing tool.
  * Corrected watch file to use new upstream at github.
  * Swiched postrm to use 'set -e' instead of -e in #! line to make
    lintian happy.
  * Switched to more secure vcs links.
  * Implemented optional 'status' option for init.d script.
  * Switched from cdbs to dh.
  * Added 01-typo-desktop.patch to fix typo in new desktop file.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Mar 2016 08:46:29 +0000

battery-stats (0.4.0-2) unstable; urgency=medium

  * Added missing cmake build dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 14 Mar 2016 21:46:38 +0100

battery-stats (0.4.0-1) unstable; urgency=medium

  * New upstream release 0.4.0.
    - Collector is reimplemented as a shell script (Closes: #720338).
    - Collector is now able to follow charge level (Closes: #699241).
  * Drop desktop file now included upstream.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 14 Mar 2016 15:43:53 +0100

battery-stats (0.3.6-2) unstable; urgency=medium

  * Become a co-maintainer.
  * Reorder and reformat dependencies.
  * Switch debhelper from version 7 to 9.
  * Acknowledge NMU (Closes: #817888).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Mar 2016 22:35:16 +0000

battery-stats (0.3.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Dropped 01-skip-non-battery.patch and build-depend on
    libacpi-dev (>= 0.2-4.1) as the workaround is no longer needed.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Mar 2016 12:16:58 +0100

battery-stats (0.3.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace homepage URL in control file with a working one. (Closes: #738807)
  * Fix typo in package description (patters->patterns). (Closes: #648294)
  * Add gbp.conf file to enforce use of pristine-tar.
  * Updated Standards-Version from 3.8.3 to 3.9.7.
  * Removed menu file, only need desktop file.
  * Added code to source /lib/lsb/init-functions in init.d script to
    work well with systemd.
  * Drop obsolete DM-Upload-Allowed field from control file.
  * Added Vcs-* links to control file.
  * Changed build dependencies to allow building with gnuplot-qt.
  * Switch to source format 3.0 (quilt).
  * Added 01-skip-non-battery.patch to skip AC "battery". (Closes: 574678)

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 11 Mar 2016 08:49:58 +0000

battery-stats (0.3.6-1) unstable; urgency=low

  * New upstream release that integrates a patch to specify the battery 
    number (Closes: 535815)
  * debian/control:
    + Standars-Version bumped to 3.8.3
    + Architecture modified so it builds only where libacpi is present
  * debian/battery-stats.desktop: added a Comment (Closes: 537946)

 -- Antonio Radici <antonio@dyne.org>  Sat, 19 Sep 2009 22:28:40 +0100

battery-stats (0.3.5-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    + Standards-Version bumped to 3.8.1
    + added DM-Upload-Allowed: yes
    + added the new upstream homepage
  * debian/rules: added $(CURDIR) to all occurrences
  * debian/watch: updated with the new path for downloads

 -- Antonio Radici <antonio@dyne.org>  Sat, 13 Jun 2009 20:58:26 +0100



## battery-stats 0.5.6

=== CMakeLists.txt ===
project(battery-stats)

cmake_minimum_required(VERSION 2.6)

include(CheckIncludeFiles)

set(VERSION_STRING 0.4.0)

set(INSTALL_TARGETS_DEFAULT_ARGS
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION ${LIB_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIB_INSTALL_DIR} COMPONENT Devel
)
set(DATA_DIR "share/battery-stats")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/config.h
)

add_subdirectory(data)
add_subdirectory(src)

=== data/CMakeLists.txt ===
# conf
install(FILES
    conf/battery-stats.conf
    DESTINATION /etc
)

# man
if(UNIX)
    FILE(GLOB MAN1_FILES "man/*.1")
    FILE(GLOB MAN5_FILES "man/*.5")
    FILE(GLOB MAN8_FILES "man/*.8")
    install(FILES ${MAN1_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
    install(FILES ${MAN5_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man5)
    install(FILES ${MAN8_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man8)
endif()

# pixmaps
FILE(GLOB PIXMAP_FILES "pixmaps/*.png")
install(FILES ${PIXMAP_FILES} DESTINATION ${DATA_DIR}/pixmaps)

# Desktop file
install(
  FILES
  battery-stats.desktop
  battery-stats-graph.desktop
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications
)

FILE(GLOB PMSLEEP_FILES "pm-utils-sleep.d/*")
install(
    PROGRAMS ${PMSLEEP_FILES}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pm-utils/sleep.d
)
FILE(GLOB PMPOWER_FILES "pm-utils-power.d/*")
install(
    PROGRAMS ${PMPOWER_FILES}
    DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pm-utils/power.d
)
FILE(GLOB SYSTEMDSLEEP_FILES "systemd-system-sleep/*")
install(
    PROGRAMS ${SYSTEMDSLEEP_FILES}
    DESTINATION /lib/systemd/system-sleep
)

FILE(GLOB UDEVRULES_FILES "udev-rules.d/*")
install(
    FILES ${UDEVRULES_FILES}
    DESTINATION /lib/udev/rules.d
)

=== src/CMakeLists.txt ===
include_directories(
    ${CMAKE_BINARY_DIR}
)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/battery-graph.in
    ${CMAKE_CURRENT_BINARY_DIR}/battery-graph @ONLY
)

install(PROGRAMS
    ${CMAKE_CURRENT_BINARY_DIR}/battery-graph
    battery-log
    DESTINATION bin
)
install(PROGRAMS
    battery-stats-collector
    DESTINATION sbin
)
install(FILES
    graph-setup
    DESTINATION ${DATA_DIR}
)
install(PROGRAMS
    collect-csv
    battery-stats-generate
    battery-stats-graph
    battery-stats-graph-flow
    DESTINATION ${DATA_DIR}
)

=== debian/changelog ===
battery-stats (0.5.6-1) unstable; urgency=medium

  * New upstream version 0.5.6.
    - Adjusted udev rules to really trigger on power changes.
    - Adjusted battery-graph.in to avoid syntax error when no discharging
      is logged yet (Closes: #843049).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Nov 2016 11:51:44 +0100

=== debian/control ===
Source: battery-stats
Section: admin
Priority: extra
Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends:
 debhelper (>= 9),
 cmake,
 python | python-all | python-dev | python-all-dev,
 dh-python,
 gnuplot-nox (>= 4) | gnuplot-qt,
 python-matplotlib,
 libtext-csv-perl,
 imagemagick
Standards-Version: 3.9.8
Homepage: https://github.com/petterreinholdtsen/battery-stats/
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/battery-stats.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/battery-stats.git
X-Python-Version: >= 2.5

Package: battery-stats
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends},
 logrotate,
 gzip (>= 1.3.2)
Recommends: ${python:Depends},
 python,
 python-matplotlib,
 libtext-csv-perl,
 gnuplot (>= 4.0.0)
Description: collects statistics about charge of laptop batteries
 This package provides battery-stats-collector, a daemon which will periodically 
 collect statistics about the charge of the batteries present.
 .
 It also proves a binary called battery-graph, which can be used to generate
 qplot graphs about the battery charge/discharge patterns over time
 .
 Note: This requires APM or ACPI to be enabled and working in your kernel.

=== debian/watch ===
# See uscan(1) for format
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/battery-stats-$1\.tar\.gz/ \
  https://github.com/petterreinholdtsen/battery-stats/tags .*/?(\d{1}\.\d.\d)\.tar\.gz
